# Uses of Interface
org.apache.avro.generic.GenericData.InstanceSupplier

Packages that use GenericData.InstanceSupplier
Package
Description
org.apache.avro
Avro kernel classes.
org.apache.avro.generic
A generic representation for Avro data.
org.apache.avro.io
Utilities for Encoding and Decoding Avro data.
org.apache.avro.specific
Generate specific Java classes for schemas and protocols.

## Uses of GenericData.InstanceSupplier in org.apache.avro

Fields in org.apache.avro declared as GenericData.InstanceSupplier
Modifier and Type
Field
Description
`final GenericData.InstanceSupplier`
Resolver.RecordAdjust.`instanceSupplier`
Supplier that offers an optimized alternative to data.newRecord()

## Uses of GenericData.InstanceSupplier in org.apache.avro.generic

Methods in org.apache.avro.generic that return GenericData.InstanceSupplier
Modifier and Type
Method
Description
`GenericData.InstanceSupplier`
GenericData.`getNewRecordSupplier(Schema schema)`
create a supplier that allows to get new record instances for a given schema in an optimized way

## Uses of GenericData.InstanceSupplier in org.apache.avro.io

Methods in org.apache.avro.io with parameters of type GenericData.InstanceSupplier
Modifier and Type
Method
Description
`void`
FastReaderBuilder.RecordReader.`finishInitialization(FastReaderBuilder.ExecutionStep[] readSteps, Schema schema, GenericData.InstanceSupplier supp)`

## Uses of GenericData.InstanceSupplier in org.apache.avro.specific

Methods in org.apache.avro.specific that return GenericData.InstanceSupplier
Modifier and Type
Method
Description
`GenericData.InstanceSupplier`
SpecificData.`getNewRecordSupplier(Schema schema)`